package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.ProjectAnalyse;
import com.lightinit.hsdatashow.entity.ProjectAnalyseExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import org.apache.ibatis.annotations.Param;

public interface ProjectAnalyseMapper {
    long countByExample(ProjectAnalyseExample example);

    int deleteByExample(ProjectAnalyseExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ProjectAnalyse record);

    int insertSelective(ProjectAnalyse record);

    List<ProjectAnalyse> selectByExample(ProjectAnalyseExample example);

    ProjectAnalyse selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ProjectAnalyse record, @Param("example") ProjectAnalyseExample example);

    int updateByExample(@Param("record") ProjectAnalyse record, @Param("example") ProjectAnalyseExample example);

    int updateByPrimaryKeySelective(ProjectAnalyse record);

    int updateByPrimaryKey(ProjectAnalyse record);

    List<ChartModel> getProjectAnalysis();
}